#     Installscript: install_converter.sh
#   for servicmenu: converter  
#	Copyright (C) 2.5.2009  R.Witthueser
#	<rauwitt@web.de>
#
#     Version: 0.8 - eighth release.
#
#     This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA   02110-1301,USA.

#!/bin/bash

DOWNLOAD_DIR="$PWD"  	       # defines the download directory

# choose type of installation
installmode=$(kdialog --caption "Converter" --radiolist "Choose your installation type" 0 "Kde 3.5 (local)" on 1 "Kde 3.5 (systemwide)" off 2 "Kde 4 (local)" off 3 "Kde 4 (systemwide)" off --icon info)

# kde 3.5 (local) installation
if test "$installmode" -eq "0"; then
echo "  ** Converter will be installed locally on KDE 3.5  ** ";
if test -d "$HOME"/.kde/share/apps/konqueror/servicemenus; then
   echo "   - The directory" "$HOME"/.kde/share/apps/konqueror/servicemenus "exists" ;
   else
    mkdir "$HOME"/.kde/share/apps/konqueror/servicemenus ;
   echo "  - The directory" "$HOME"/.kde/share/apps/konqueror/servicemenus "was created" ;
   fi
   
   cd $DOWNLOAD_DIR                     # moving desktop files
   mv convert_2_6_local_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv image-processing_1_4_local_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv convertbatch_0_8_local_kde3.desktop $HOME/.kde/share/apps/konqueror/servicemenus
   mv xnview.sh $HOME &&
   echo "  - The desktop files were moved to" $HOME/.kde/share/apps/konqueror/servicemenus
   echo "  - xnview.sh was moved to" $HOME
   
   cd $HOME                             # downloading XnView, XnViewMP and NConvert
   wget http://download.xnview.com/XnView-x86-unknown-linux2.x-static-fc4.tgz
   wget http://download.xnview.com/NConvert-x86-unknown-linux2.x.tgz
   wget http://download.xnview.com/XnViewMP-linux.tgz
      echo "  - XnView, XnViewMP and NConvert were downloaded to" $HOME

   cd $HOME                             # untar XnView and NConvert
   tar -zxvf $HOME/NConvert-x86-unknown-linux2.x.tgz
   tar -zxvf $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   tar -zxvf $HOME/XnViewMP-linux.tgz &&
   echo "  - XnView, XnViewMP and NConvert were untared to" $HOME

   kdialog --caption "Converter" --msgbox "Installation successful!" --icon info  

fi
   
 # kde 3.5 (systemwide) installation
if test "$installmode" -eq "1"; then
echo "  ** Converter will be installed systemwide on KDE 3.5"
if test -d /opt/kde3/share/apps/konqueror/servicemenus; then
   echo "  - The directory" /opt/kde3/share/apps/konqueror/servicemenus "exists" ;
   else
      kdesu mkdir /opt/kde3/share/apps/konqueror/servicemenus ;
   echo "  - The directory" /opt/kde3/share/apps/konqueror/servicemenus "was created" ;
   fi
   
   cd $DOWNLOAD_DIR                     # moving desktop files
   kdesu mv convert_2_6_systemwide_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesu mv image-processing_1_4_systemwide_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   kdesu mv convertbatch_0_8_systemwide_kde3.desktop /opt/kde3/share/apps/konqueror/servicemenus
   mv xnview.sh $HOME &&
   echo "  - The desktop files were moved to" /opt/kde3/share/apps/konqueror/servicemenus
   echo "  - xnview.sh was moved to" $HOME

   cd $HOME                             # downloading XnView, XnViewMP and NConvert
   wget http://download.xnview.com/XnView-x86-unknown-linux2.x-static-fc4.tgz
   wget http://download.xnview.com/NConvert-x86-unknown-linux2.x.tgz
   wget http://download.xnview.com/XnViewMP-linux.tgz
     echo "  - XnView, XnViewMP and NConvert were downloaded to" $HOME

   cd $HOME                             # untar XnView and NConvert
   tar -zxvf $HOME/NConvert-x86-unknown-linux2.x.tgz
   tar -zxvf $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   tar -zxvf $HOME/XnViewMP-linux.tgz &&
   echo "  - XnView,XnViewMP and NConvert were untared to" $HOME
   kdesu mv $HOME/NConvert/nconvert /opt/kde3/bin
   kdesu mv $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4/bin/xnview /opt/kde3/bin
   kdesu mv $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4/bin/nview /opt/kde3/bin
   echo "  - The binaries xniew, nview and nconvert were moved to" /opt/kde3/bin

   kdialog --caption "Converter" --msgbox "Installation successful!" --icon info   
fi

# kde 4 (local) installation
if test "$installmode" -eq "2"; then
echo "  ** Converter will be installed locally on KDE 4"
if test -d "$HOME"/.kde4/share/kde4/services/ServiceMenus; then
   echo "  - The directory" "$HOME"/.kde4/share/kde4/services/ServiceMenus "exists" ;
   else
      mkdir "$HOME"/.kde4/share/kde4/services/ServiceMenus ;
   echo "  - The directory" "$HOME"/.kde4/share/kde4/services/ServiceMenus "was created" ;
   fi
       cd $DOWNLOAD_DIR                     # moving desktop files
   mv convert_2_6_local_kde4.desktop $HOME/.kde4/share/kde4/services/ServiceMenus
   mv image-processing_1_4_local_kde4.desktop $HOME/.kde4/share/kde4/services/ServiceMenus
   mv convertbatch_0_8_local_kde4.desktop $HOME/.kde4/share/kde4/services/ServiceMenus
   mv xnview.sh $HOME &&
   echo "  - The desktop files were moved to" $HOME/.kde4/share/kde4/services/ServiceMenus
   echo "  - xnview.sh was moved to" $HOME

   cd $HOME                             # downloading XnView, XnViewMP and NConvert
   wget http://download.xnview.com/XnView-x86-unknown-linux2.x-static-fc4.tgz
   wget http://download.xnview.com/NConvert-x86-unknown-linux2.x.tgz
   wget http://download.xnview.com/XnViewMP-linux.tgz
      echo "  - XnView, XnViewMP and NConvert were downloaded to" $HOME

   cd $HOME                             # untar XnView and NConvert
   tar -zxvf $HOME/NConvert-x86-unknown-linux2.x.tgz
   tar -zxvf $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   tar -zxvf $HOME/XnViewMP-linux.tgz &&
   echo "  - XnView, XnViewMP and NConvert were untared to" $HOME
   
   kdialog --caption "Converter" --msgbox "Installation successful!" --icon info 
fi

# kde 4 (systemwide) installation
if test "$installmode" -eq "3"; then
echo "  ** Converter will be installed systemwide on KDE 4"
if test -d /usr/share/kde4/services/ServiceMenus; then
   echo "  - The directory" /usr/share/kde4/services/ServiceMenus "exists" ;
   else
      kdesu mkdir /usr/share/kde4/services/ServiceMenus ;
   echo "  - The directory" /usr/share/kde4/services/ServiceMenus "was created";
   fi
   cd $DOWNLOAD_DIR                     # moving desktop files
   kdesu mv convert_2_6_systemwide_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesu mv image-processing_1_4_systemwide_kde4.desktop /usr/share/kde4/services/ServiceMenus
   kdesu mv convertbatch_0_8_systemwide_kde4.desktop /usr/share/kde4/services/ServiceMenus
   mv xnview.sh $HOME &&
   echo "  - The desktop files were moved to" /usr/share/kde4/services/ServiceMenus
   echo "  - xnview.sh was moved to" $HOME

   cd $HOME                             # downloading XnView, XnViewMP and NConvert
   wget http://download.xnview.com/XnView-x86-unknown-linux2.x-static-fc4.tgz
   wget http://download.xnview.com/NConvert-x86-unknown-linux2.x.tgz
   wget http://download.xnview.com/XnViewMP-linux.tgz
     echo "  - XnView, XnViewMP and NConvert were downloaded to" $HOME

   cd $HOME                             # untar XnView and NConvert
   tar -zxvf $HOME/NConvert-x86-unknown-linux2.x.tgz
   tar -zxvf $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   tar -zxvf $HOME/XnViewMP-linux.tgz &&
   echo "  - XnView,XnViewMP and NConvert were untared to" $HOME
   kdesu mv $HOME/NConvert/nconvert /usr/bin
   kdesu mv $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4/bin/xnview /usr/bin
   kdesu mv $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4/bin/nview /usr/bin
   echo "  - The binaries xniew, nview and nconvert were moved to" /usr/bin

   kdialog --caption "Converter" --msgbox "Installation successful!" --icon info
fi











