#     Uninstallscript: uninstall_converter.sh
#   for servicmenu: converter  
#	Copyright (C) 2.5.2009  R.Witthueser
#	<rauwitt@web.de>
#
#     Version: 0.4 - fourth release.
#
#     This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA   02110-1301,USA.

#!/bin/bash

# choose type of installation
uninstallmode=$(kdialog --caption "Converter" --radiolist "Choose your installation type" 0 "Kde 3.5 (local)" on 1 "Kde 3.5 (systemwide)" off 2 "Kde 4 (local)" off 3 "Kde 4 (systemwide)" off --icon info)

# Uninstall kde 3.5 (local)
if test "$uninstallmode" -eq "0"; then
echo "  ** Converter will be uninstalled locally on KDE 3.5" ;
   cd $HOME/.kde/share/apps/konqueror/servicemenus
   rm $HOME/.kde/share/apps/konqueror/servicemenus/convert_2_6_local_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/image-processing_1_4_local_kde3.desktop
   rm $HOME/.kde/share/apps/konqueror/servicemenus/convertbatch_0_8_local_kde3.desktop
   echo "  - The desktop files were removed."
   cd $HOME
   rm -r $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4
   rm -r $HOME/NConvert
   rm -r $HOME/XnViewMP
   rm $HOME/NConvert-x86-unknown-linux2.x.tgz
   rm $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   rm $HOME/XnViewMP-linux.tgz
   rm xnview.sh
   echo "  - The applications XnView, NConvert and XnViewMP were removed"

   kdialog --caption "Converter" --msgbox "Converter was uninstalled!" --icon info
   
fi
   
 # Uninstall kde 3.5 (systemwide)
if test "$uninstallmode" -eq "1"; then
echo "  ** Converter will be uninstalled systemwide on KDE 3.5" ;
   cd /opt/kde3/share/apps/konqueror/servicemenus
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/convert_2_6_systemwide_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/image-processing_1_4_systemwide_kde3.desktop
   kdesu rm /opt/kde3/share/apps/konqueror/servicemenus/convertbatch_0_8_systemwide_kde3.desktop
   echo "  - The desktop files were removed."
   cd /opt/kde3/bin
   kdesu rm xnview
   kdesu rm nview
   kdesu rm nconvert
   cd $HOME
   rm xnview.sh
   rm -r $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4
   rm -r $HOME/NConvert
   rm -r $HOME/XnViewMP
   rm $HOME/NConvert-x86-unknown-linux2.x.tgz
   rm $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   rm $HOME/XnViewMP-linux.tgz
   echo "  - The applications XnView, NConvert and XnViewMP were removed"

   kdialog --caption "Converter" --msgbox "Converter was uninstalled!" --icon info
   
fi

# Uninstall kde 4 (local)
if test "$uninstallmode" -eq "2"; then
echo "  ** Converter will be uninstalled locally on KDE 4" ;
   cd $HOME/.kde4/share/kde4/services/ServiceMenus
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/convert_2_6_local_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/image_processing_1_4_local_kde4.desktop
   rm $HOME/.kde4/share/kde4/services/ServiceMenus/convertbatch_0_8_local_kde4.desktop
   echo "  - The desktop files were removed."
   cd $HOME
   rm -r $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4
   rm -r $HOME/NConvert
   rm -r $HOME/XnViewMP
   rm xnview.sh
   rm $HOME/NConvert-x86-unknown-linux2.x.tgz
   rm $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   rm $HOME/XnViewMP-linux.tgz
   echo "  - The applications XnView, NConvert and XnViewMP were removed"

   kdialog --caption "Converter" --msgbox "Converter was uninstalled!" --icon info
   
fi

# Uninstall kde 4 (systemwide)
if test "$uninstallmode" -eq "3"; then
echo "  ** Converter will be uninstalled systemwide on KDE 4" 
   cd /usr/share/kde4/services/ServiceMenus
   kdesu rm /usr/share/kde4/services/ServiceMenus/convert_2_6_systemwide_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/image-processing_1_4_systemwide_kde4.desktop
   kdesu rm /usr/share/kde4/services/ServiceMenus/convertbatch_0_8_systemwide_kde4.desktop
   echo "  - The desktop files were removed."
   cd /usr/bin
   kdesu rm xnview
   kdesu rm nview
   kdesu rm nconvert
   cd $HOME
   rm xnview.sh
   rm -r $HOME/XnView-1.70-x86-unknown-linux2.x-static-fc4
   rm -r $HOME/NConvert
   rm -r $HOME/XnViewMP
   rm $HOME/NConvert-x86-unknown-linux2.x.tgz
   rm $HOME/XnView-x86-unknown-linux2.x-static-fc4.tgz
   rm $HOME/XnViewMP-linux.tgz
   echo "  - The applications XnView, NConvert and XnViewMP were removed"

   kdialog --caption "Converter" --msgbox "Converter was uninstalled!" --icon info
   
fi











